/* DEIN CSS STYLING */

.course-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #001B53CC;
    /* Dunkelblau mit Opazität */
    visibility: hidden;
    opacity: 0;
    transition: visibility 0.3s, opacity 0.3s;
}

/* Sichtbarer Status */
.course-modal[aria-hidden="false"] {
    visibility: visible;
    opacity: 1;
}

.modal-content {
    background-color: #0047FF;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    color: white;
    padding: 40px;
    max-width: 960px;
    width: 90%;
    max-height: 90vh;
    overflow-y: auto;
    position: relative;
    border-radius: 36px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
    transform: scale(0.95);
    transition: transform 0.3s ease-out;
}

.course-modal[aria-hidden="false"] .modal-content {
    transform: scale(1);
}

.modal-close-btn {
    position: absolute;
    top: 20px;
    right: 20px;
    background: white;
    border: none;
    cursor: pointer;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 3px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    z-index: 1010;
}

.modal-inner {
    padding-top: 10px;
    line-height: 1.6;
}

.modal-inner ul,
.modal-inner ol {
    margin-left: 20px;
    margin-top: 10px;
}

.modal-inner li {
    margin-bottom: 5px;
}


body.modal-open {
    overflow: hidden;
}